# Package products OneStartup

  **onestartup/product** is a module product for websites

# Installation

- Run this in the terminal

```php
composer require onestartup/product
```

- after add the ServiceProvider to the providers array in config/app.php

```php
Onestartup\Product\ProductServiceProvider::class,
```

- Run migration

```php
php artisan migrate
```

- add next lines to app/User.php

```php
public function products()
{
    return $this->hasMany('Onestartup\Product\Model\Product', 'user_id');
}
```

- run command for publish views

```php
php artisan vendor:publish --provider="Onestartup\Product\ProductServiceProvider"
```

- run serv

```php
php artisan serve
```

- test in this route how admin user

```php
http://localhost:8000/admin/product/product
```

- test in this route 

```php
http://localhost:8000/portafolio
```