<?php

namespace Onestartup\Product\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestEditCategory extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|max:355',
            'slug' => 'required|max:255',
            'description'=> 'max:455',
            'active' => 'required'
        ];
    }
}