<div class="row">
  <div class="col-md-6">
      <div class="form-group">
          {!! Form::label('name', 'Nombre', ['class'=>'control-label'])!!}
          {!! Form::text('name', null, ["class"=>"form-control", "required"=>"required", "id"=>"first"]) !!}
      </div>
  </div>

  <div class="col-md-6">
      <div class="form-group">
          {!! Form::label('slug', 'URL Slug', ['class'=>'control-label'])!!}
          {!! Form::text('slug', null, ["class"=>"form-control", "required"=>"required", "id"=>"second"]) !!}
      </div>
  </div>

</div>

<div class='row'>
  <div class='col-md-6'>
    <div class="form-group" >
      {!! Form::label('active', 'Estado', ['class'=>'control-label'])!!}
      {!! Form::select('active', [true=>'Activo', false=>'Inactivo'], null, ["class"=>"form-control", "required"=>"required"]) !!}
    </div>
  </div>
  <div class='col-md-6'>
    <div class="form-group" >
      {!! Form::label('category_id', 'Categoria', ['class'=>'control-label'])!!}
      {!! Form::select('category_id', $categories, null, ["class"=>"form-control", "required"=>"required"]) !!}
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-6">
    <div class="form-group">
          {!! Form::label('cover', 'Portada', ['class'=>'control-label'])!!}
          @if (isset($product))
            <span>
              <a class="btn btn-xs accent" data-target="#ver" data-toggle="modal" href="#" ui-toggle-class="fade-up-big">
                Ver actual 
                <i class="fa fa-eye"></i>
              </a>
            </span>
          @endif
          <br>
          {!! Form::file('cover', null, ["class"=>"form-control", "required"=>"required"]) !!}
      </div>
  </div>

   <div class="col-md-6">
      <div class="form-group">
        {!! Form::label('publication_date', 'Fecha de publicación', ['class'=>'control-label'])!!}
        {!! Form::text('publication_date', null, ["class"=>"form-control", "required"=>"required", "id"=>"publication_date"]) !!}
      </div>
  </div>

</div>

<div class="row">
  @if($variable != null)

    @if($variable->alias1 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra1', $variable->alias1, ['class'=>'control-label'])!!}
              {!! Form::text('extra1', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias2 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra2', $variable->alias2, ['class'=>'control-label'])!!}
              {!! Form::text('extra2', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias3 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra3', $variable->alias3, ['class'=>'control-label'])!!}
              {!! Form::text('extra3', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias4 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra4', $variable->alias4, ['class'=>'control-label'])!!}
              {!! Form::text('extra4', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias5 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra5', $variable->alias5, ['class'=>'control-label'])!!}
              {!! Form::text('extra5', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias6 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra6', $variable->alias6, ['class'=>'control-label'])!!}
              {!! Form::text('extra6', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias7 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra7', $variable->alias7, ['class'=>'control-label'])!!}
              {!! Form::text('extra7', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias8 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra8', $variable->alias8, ['class'=>'control-label'])!!}
              {!! Form::text('extra8', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias9 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra9', $variable->alias9, ['class'=>'control-label'])!!}
              {!! Form::text('extra9', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

    @if($variable->alias10 != null)
      <div class="col-md-4">
          <div class="form-group">
              {!! Form::label('extra10', $variable->alias10, ['class'=>'control-label'])!!}
              {!! Form::text('extra10', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

     @if($variable->alias11 != null)
      <div class="col-md-12">
          <div class="form-group">
              {!! Form::label('extra11', $variable->alias11, ['class'=>'control-label'])!!}
              {!! Form::textarea('extra11', null, ["class"=>"form-control"]) !!}
          </div>
      </div>
    @endif

  @endif

</div>

<div class="row">
  <div class="col-md-6">
    {!! Form::label('description', 'Detalles', ['class'=>'control-label'])!!}
    {!! Form::textarea('description', null, ["class"=>"form-control", "required"=>"required", 'id'=>'body', 'rows'=>"30", 'cols'=>"80"]) !!}
  </div>
  <div class="col-md-6">
    {!! Form::label('features', 'Características', ['class'=>'control-label'])!!}
    {!! Form::textarea('features', null, ["class"=>"form-control", "required"=>"required", 'id'=>'body', 'rows'=>"30", 'cols'=>"80"]) !!}
  </div>
</div>

<div class="row">
  <div class="col-md-6">
    {!! Form::label('specifications', 'Información adicional', ['class'=>'control-label'])!!}
    {!! Form::textarea('specifications', null, ["class"=>"form-control", "required"=>"required", 'id'=>'body', 'rows'=>"30", 'cols'=>"80"]) !!}
  </div>
</div>


